#include <iostream>

using namespace std;

int main()
{
    int n;
    int brojac=0;
    cin>>n;
    int r[n];
    int c[n];
    for(int i=0;i<n;i++)
    {
        cin>>r[i]>>c[i];
    }
    for(int i=0;i<n-1;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            if(r[i]==r[j])
            {
                brojac++;
                break;
            }
            if(c[i]==c[j])
            {
                brojac++;
                break;
            }
        }
    }
    cout<<brojac;

}